package com.bonus.canteen.core.supply.purchase.domain.vo;

import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

public class DrpProductionPlanDetailVO {
   @ApiModelProperty("生产计划单号")
   private String productionPlanId;
   @ApiModelProperty("生产计划名称")
   private String productionPlanName;
   @ApiModelProperty("计划日期")
   private List<LocalDate> detailPlanDate;
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("档口id")
   private Long stallId;
   @ApiModelProperty("食堂名称")
   private String canteenName;
   @ApiModelProperty("档口名称")
   private String stallName;
   @ApiModelProperty("审批状态(1待审批,2审批中,3审批同意,4审批拒绝)")
   private Integer approveStatus;
   @ApiModelProperty("审批人")
   private String approveBy;
   @ApiModelProperty("审批完成时间")
   private LocalDateTime approveTime;
   @ApiModelProperty("审批备注")
   private String approveRemark;
   @ApiModelProperty("是否多天重复")
   private Integer ifRepeat;
   @ApiModelProperty("菜品详情")
   private List<DrpProductionPlanDetailMenuDishesVO> menuDishesVOList;
   @ApiModelProperty("审批流程ID")
   private Long processInstanceId;
   @ApiModelProperty("菜谱id")
   private Long recipeId;
   @ApiModelProperty("生产计划类型(1直接生成,2按菜谱生成,3按预定单生成)")
   private Integer productionPlanType;
   @ApiModelProperty("提交状态")
   private Integer status;
   @ApiModelProperty("创建人")
   private String createBy;
   @ApiModelProperty("区域ID")
   private Long areaId;
   @ApiModelProperty("区域名称")
   private String areaName;

   public String getProductionPlanId() {
      return this.productionPlanId;
   }

   public String getProductionPlanName() {
      return this.productionPlanName;
   }

   public List<LocalDate> getDetailPlanDate() {
      return this.detailPlanDate;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Long getStallId() {
      return this.stallId;
   }

   public String getCanteenName() {
      return this.canteenName;
   }

   public String getStallName() {
      return this.stallName;
   }

   public Integer getApproveStatus() {
      return this.approveStatus;
   }

   public String getApproveBy() {
      return this.approveBy;
   }

   public LocalDateTime getApproveTime() {
      return this.approveTime;
   }

   public String getApproveRemark() {
      return this.approveRemark;
   }

   public Integer getIfRepeat() {
      return this.ifRepeat;
   }

   public List<DrpProductionPlanDetailMenuDishesVO> getMenuDishesVOList() {
      return this.menuDishesVOList;
   }

   public Long getProcessInstanceId() {
      return this.processInstanceId;
   }

   public Long getRecipeId() {
      return this.recipeId;
   }

   public Integer getProductionPlanType() {
      return this.productionPlanType;
   }

   public Integer getStatus() {
      return this.status;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public String getAreaName() {
      return this.areaName;
   }

   public void setProductionPlanId(final String productionPlanId) {
      this.productionPlanId = productionPlanId;
   }

   public void setProductionPlanName(final String productionPlanName) {
      this.productionPlanName = productionPlanName;
   }

   public void setDetailPlanDate(final List<LocalDate> detailPlanDate) {
      this.detailPlanDate = detailPlanDate;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setStallId(final Long stallId) {
      this.stallId = stallId;
   }

   public void setCanteenName(final String canteenName) {
      this.canteenName = canteenName;
   }

   public void setStallName(final String stallName) {
      this.stallName = stallName;
   }

   public void setApproveStatus(final Integer approveStatus) {
      this.approveStatus = approveStatus;
   }

   public void setApproveBy(final String approveBy) {
      this.approveBy = approveBy;
   }

   public void setApproveTime(final LocalDateTime approveTime) {
      this.approveTime = approveTime;
   }

   public void setApproveRemark(final String approveRemark) {
      this.approveRemark = approveRemark;
   }

   public void setIfRepeat(final Integer ifRepeat) {
      this.ifRepeat = ifRepeat;
   }

   public void setMenuDishesVOList(final List<DrpProductionPlanDetailMenuDishesVO> menuDishesVOList) {
      this.menuDishesVOList = menuDishesVOList;
   }

   public void setProcessInstanceId(final Long processInstanceId) {
      this.processInstanceId = processInstanceId;
   }

   public void setRecipeId(final Long recipeId) {
      this.recipeId = recipeId;
   }

   public void setProductionPlanType(final Integer productionPlanType) {
      this.productionPlanType = productionPlanType;
   }

   public void setStatus(final Integer status) {
      this.status = status;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public void setAreaName(final String areaName) {
      this.areaName = areaName;
   }

   public String getCreateBy() {
      return createBy;
   }

   public void setCreateBy(String createBy) {
      this.createBy = createBy;
   }
}
